petsc-3.4.2 2013-07-02

# PetscHMPIMalloc

Creates a "c struct" on all nodes of an HMPI communicator

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscHMPIMalloc(MPI_Comm comm,size_t n,void **ptr)

Collective on MPI_Comm

### Input Parameters

| comm | - Must be PETSC_COMM_LOCAL_WORLD
| n | - amount of memory requested

Developer Notes: Since comm must be PETSC_COMM_LOCAL_WORLD, why have this argument?

### See Also

PetscHMPIMerge(), PCHMPIRun(), PCHMPIFree()

Level:developer
Location:src/sys/objects/mpinit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages